SAY "... START OF GAME ..."
-- Variables
trace i
Dir = Value("UserProfile",, ENVIRONMENT)
localFilePath = Dir || "\Documents\"
url= "https://raw.githubusercontent.com/suvotre11/oorexx_game/dd02144964ff727e96aeab0b508dfd146e0713b5/"
--localFilePath = "C:\Users\Biju-\OneDrive\Documents\"
currentPet = ""
pets = .array~new

DO i = 1 to 4
  currentUrl = url||"pet_image"||i".png"
  currentFile = localFilePath||"pet_image"||i".png"
  pets[i] = currentFile
  command='curl' currentUrl '-o' currentFile
  outArr = .array~new
  outArr[1] = 11
  errArr = .array~new
  ADDRESS SYSTEM command WITH OUTPUT USING (outArr) ERROR USING (errArr)
END

--pets[4] = "C:\Users\Biju-\OneDrive\Documents\1.WU-Sachen\Business Programming 1\project\pet_image1.png"
--pets[2] = "C:\Users\Biju-\OneDrive\Documents\1.WU-Sachen\Business Programming 1\project\pet_image2.png"
--pets[3] = "C:\Users\Biju-\OneDrive\Documents\1.WU-Sachen\Business Programming 1\project\pet_image3.png"
--pets[1] = "C:\Users\Biju-\OneDrive\Documents\1.WU-Sachen\Business Programming 1\project\pet_image4.png"
currentPet = pets[1]

currentBackground = ""
backgrounds = .array~new

DO i = 1 to 3
  currentUrl = url||"background"||i".jpg"
  currentFile = localFilePath||"background"||i".jpg"
  backgrounds[i] = currentFile
  command='curl' currentUrl '-o' currentFile
  outArr = .array~new
  outArr[1] = 11
  errArr = .array~new
  ADDRESS SYSTEM command WITH OUTPUT USING (outArr) ERROR USING (errArr)
END


--backgrounds[1] = "C:\Users\Biju-\OneDrive\Documents\1.WU-Sachen\Business Programming 1\project\background1.jpg"
--backgrounds[2] = "C:\Users\Biju-\OneDrive\Documents\1.WU-Sachen\Business Programming 1\project\background2.jpg"
--backgrounds[3] = "C:\Users\Biju-\OneDrive\Documents\1.WU-Sachen\Business Programming 1\project\background3.jpg"

points.total = 0
points.happiness = 100
points.sleepiness = 50
points.weight = 100

-- Fetching Weather Data
command='curl -H "Accept-Language: en" https://wttr.in/Vienna?format="%C"'
outArr=.array~new -- array for stdout
errArr=.array~new -- array for stderr: curl's information goes here
ADDRESS SYSTEM command WITH OUTPUT USING (outArr) ERROR USING (errArr)
outArr = outArr~makeString~lower

-- Selecting background based on weather
SELECT
WHEN POS("sunny",outArr)>0 THEN currentBackground = backgrounds[1];
WHEN POS("rain",outArr)>0 THEN currentBackground = backgrounds[2];
WHEN POS("cloudy",outArr)>0 THEN currentBackground = backgrounds[3];
OTHERWISE currentBackground = backgrounds[1];
END

-- Start Game
PP = .OLEObject~New("PowerPoint.Application")
PP~Visible = .TRUE                                                   
-- Add first Slide
PP~Presentations~Add~Slides~Add(1, 1)                                 
firstSlide = PP~ActivePresentation~Slides(1)
firstSlide~Shapes(1)~TextFrame~TextRange = "VIRTUAL PET SIMULATOR"  
firstSlide~Shapes(2)~TextFrame~TextRange =  "Sponsored by: E-Sports"
-- Add Game Slides
ActivePresentation = PP~ActivePresentation
secondSlide = ActivePresentation~Slides~Add(2, 1) 
slideWidth = ActivePresentation~PageSetup~SlideWidth
slideHeight = ActivePresentation~PageSetup~SlideHeight
thirdSlide = ActivePresentation~Slides~Add(2, 1)
thirdSlide~Shapes(1)~TextFrame~TextRange = "ENTER ONE OF THE COMMANDS: EAT, SLEEP, PET"  
thirdSlide~Shapes(2)~TextFrame~TextRange =  "DELETE THIS AND ENTER YOUR COMMAND ..."

-- Add pet
secondSlide~Shapes(1)~Delete
secondSlide~Shapes(1)~Delete
gameBackground = secondSlide~Shapes~AddPicture(currentBackground, 1, 1, 0, 0, slideWidth, slideHeight )

-- Add pet
gamePet = secondSlide~Shapes~AddPicture(currentPet, 1, 1, 325, 200, 300, 200) 

exitCommand = -1
DO UNTIL exitCommand > 0 
  call SysSleep 4
  currentText = thirdSlide~Shapes(2)~TextFrame~TextRange~Text~lower
  SELECT
  WHEN POS("eat", currentText)>0 THEN call changePet 2, "eat"; 
  WHEN POS("sleep", currentText)>0 THEN call changePet 3, "sleep";
  WHEN POS("pet",currentText)>0 THEN call changePet 4, "pet";
  WHEN POS("exit", currentText)>0 THEN exitCommand = 1;
  OTHERWISE SAY "WAITING FOR INPUT";
  END
END
ActivePresentation~SaveAs(Dir || "\Documents\oorexx_game.pptx") 
PP~Quit
/*Creating the simulation certificate with Word*/
word= .oleobject~new("Word.Application")
word~visible=.true
NewDocument= word~Documents~add
SelectionObj=Word~Selection

points.total = points.weight + points.happiness - points.sleepiness

EditText=SelectionObj~Font
EditText~Name="Freestyle Script"
EditText~size="20"
EditText~bold=.true
EditText~underline=.true
EditText~colorindex= 12
SelectionObj~TypeText("GOOD JOB!, HERE ARE YOUR SCORES!")
EditText~size= "12"
SelectionObj~TypeParagraph
EditText~underline=.false
EditText~Name="Calibri"
SelectionObj~TypeText("happiness score:" points.happiness)
SelectionObj~TypeParagraph
SelectionObj~TypeText("weight score:" points.weight)
SelectionObj~TypeParagraph
SelectionObj~TypeText("sleepiness score:" points.sleepiness)
SelectionObj~TypeParagraph
SelectionObj~TypeText("total score:" points.total)

FileName= Dir || "\Documents\" || "Virtuelles_Haustier"
NewDocument~SaveAs(FileName)
SAY "... END OF GAME ..."
--Word~Quit


EXIT
changePet:
  secondSlide~Shapes(2)~Delete
  currentPet = pets[ARG(1)]
  gamePet = secondSlide~Shapes~AddPicture(currentPet, 1, 1, 325, 200, 300, 200)
  SELECT
  WHEN ARG(2)="eat" THEN
  DO
    thirdSlide~Shapes(1)~TextFrame~TextRange = "GOOD JOB, YOU JUST FED YOUR PET!"
    points.weight = points.weight + 10
    points.sleepiness = points.sleepiness + 2 
  END; 
  WHEN ARG(2)="sleep" THEN
  DO
    thirdSlide~Shapes(1)~TextFrame~TextRange = "YOUR PET IS TAKING A NAP!"
    points.weight = points.weight + 10
    points.sleepiness = points.sleepiness - 10 
  END;
  WHEN ARG(2)="pet" THEN
  DO
    thirdSlide~Shapes(1)~TextFrame~TextRange = "FANTASTIC JOB, YOUR PET IS EXCITED!"
    points.weight = points.weight - 5
    points.happiness = points.happiness + 10
  END;
  END
  thirdSlide~Shapes(2)~TextFrame~TextRange =  ""
  call SysSleep 4
  RETURN
